summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:33:38 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:33:38 -0400
commit1cf8fb713f13fedb3258a6d6cbd8938dfd669eeb (patch)
tree17f6ad7fd3ec7d6fd03d3317d88f8277be0cc636
parent9f589a578af8ed054b90c0f95dce8a9c34c04cb3 (diff)
downloadslackbuilds-1cf8fb713f13fedb3258a6d6cbd8938dfd669eeb.tar.gz
slackbuilds-1cf8fb713f13fedb3258a6d6cbd8938dfd669eeb.tar.xz
development/hugs98: Fixed for bash4.
-rw-r--r--development/hugs98/hugs98.SlackBuild6
1 files changed, 2 insertions, 4 deletions
diff --git a/development/hugs98/hugs98.SlackBuild b/development/hugs98/hugs98.SlackBuild
index ba894fb086..65ca6cb148 100644
--- a/development/hugs98/hugs98.SlackBuild
+++ b/development/hugs98/hugs98.SlackBuild
@@ -69,10 +69,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;